<!DOCTYPE html>
<html class="h-100">
  <head>
    <% name = if @public_instance then "public_application_name" else "application_name" end %>
    <title><%= t "views.shared.header.#{name}" %></title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= stylesheet_pack_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_pack_tag 'application', 'data-turbolinks-track': 'reload' %>
  </head>

  <body class="h-100">
    <div class="d-flex flex-column h-100">
      <%= render 'shared/header' %>

      <% flash.each do |level, message| %>
        <div class="<%= flash_class(level) %> alert-dismissible fade show mb-0" role="alert">
          <%= message %>
          <button type="button" class="close" data-dismiss="alert">
            <span>&times;</span>
          </button>
        </div>
      <% end %>

      <div class="flex-grow-1">
        <%= yield %>
      </div>

      <%= render 'shared/footer' %>
    </div>
  </body>
</html>
